<?php

/**fostar_1qc Представление "Cart" для "fostar_1qc" Компонета
 * отображает Корзину, форму заказа
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view');

class fostar_1qcViewCart extends JView {
    function __construct() {
        $classname = 'ConfigClass';
        $this->_config = new $classname();
        $data = file_get_contents(JPATH_COMPONENT.DS.'config.ini');
        $this->_config = unserialize(base64_decode($data));
        parent::__construct();
    }
    function display($tpl = null) {
        $document = &JFactory::getDocument();
        $document->setTitle( JText::_('Корзина') );
        $model = $this->getModel();
        $partnerID = $this->_config->partnerID;
        if(isset($_SESSION['cart'])) {
            if(sizeof($_SESSION['cart']) > 0) {
                if(isset($tpl)&&$tpl=='order') {
                    if(isset($partnerID)) {
                        unset($_SESSION['cart']);
                        $_POST['cFam'] = iconv("utf-8","windows-1251", $_POST['cFam']);
                        $_POST['cName'] = iconv("utf-8","windows-1251", $_POST['cName']);
                        $_POST['oOtchestv'] = iconv("utf-8","windows-1251", $_POST['oOtchestv']);
                        $_POST['oAddress'] = iconv("utf-8","windows-1251", $_POST['oAddress']);
                        foreach ($_POST['productAttributes'] as $key=>$value) {
                            $_POST['productAttributes'][$key]=iconv("utf-8","windows-1251", $value);
                        }
                        $PARAMS = strtr(base64_encode(addslashes(gzcompress(serialize($_POST),9))), '+/=', '-_,');
                        $res = $model->getResult('act=register&partner_id='.$partnerID.'&ord='.$PARAMS);
                        $done='yes';
                        $this->assignRef('done',$done);
                    } else {
                        if(!isset($_REQUEST['Itemid'])) {
                            echo('Проверьте корректность Itemid страницы');
                        } else {
                            echo('Проверьте корректность partnerID');
                        }
                    }
                }
                else {
                    $cart = array();
                    $poss = array();
                    $summ = 0;
                    $num = 0;
                    foreach($_SESSION['cart'] as $key=>$val) {
                            if($val['count'] > 1) {
                                $num += $val['count'];
                            }
                            else {
                                $num += 1;
                            }
                            $summ += $val['cost'] * $val['count'];
                            $res = $model->getResult('act=carts&GID='.$this->checkGet($key).'&partner_id='.$partnerID);
                            if($res != 'false') {
                                $res = $model->makeMainArrayFromResult($res);
                                $rez['pid']     = $res[0];
                                $rez['pname']   = $res[1];
                                $rez['preview'] = $res[2];
                                $rez['sprice']  = $res[3];
                                $rez['cid']     = $res[4];
                                $rez['price']   = $res[5];
                                $rez['cname']   = $res[6];
                                $rez['order']   = $res[7];
                                $partner_addition = $res[8] * 1;
                                if ($partner_addition > 0 ) {
                                    $rez['price'] += $partner_addition;
                                }
                                $rez['count']   = $val['count'];
                                $rez['num']     = $num;
                                $rez['attrCode'] = $val['attr'];
                                $rez['attr'] = '';
                                $attr = explode("HfPLtK", $val['attr']);
                                foreach ($attr as $subattr=>$subval) {
                                    $tmp = str_replace('HfDYJ', '=', $subval);
                                    $tmp = base64_decode($tmp);
                                    if($rez['attr']!='')
                                        $rez['attr'] .= ';';
                                    $rez['attr'] .= $tmp;
                                }
                            }
                            $cart[] = $rez;
                    }
                    $this->assignRef('cart', $cart);
                    $this->assignRef('num', $num);
                    $this->assignRef('summ', $summ);
                }
            }
            else {
                $err='Ваша корзина пуста';
                $this->assignRef('err',$err);
            }
        }
        else {
            $err='Ваша корзина пуста';
            $this->assignRef('err',$err);
        }
        parent::display($tpl);
    }
    function checkGet($str,$col = 255) {
        $str = trim(htmlspecialchars(eregi_replace("['\"\/%?#`]","",$str)));
        $str = substr($str,0,$col);
        Return $str;
    }
}
?>
