<?php 
/**fostar_1qc Шаблон "catalogue" представления "catalogue" для "fostar_1qc" Компонета
 * отображает подкаталоги, товары и карточку товара
 */
defined('_JEXEC') or die('Restricted access');
define( 'index_cat', 'index.php?option=com_fostar_1qc&fly=catalogue' );
$document = &JFactory::getDocument();
?>
<h1 style="line-height:1.5;">
    <a href="<?php echo JRoute::_(index_cat); ?>">Каталог товаров</a>
    <?php
    if(isset ($this->catTitle)) {
        foreach ($this->catTitle as $item) {
            $catname=$item['cname'];
            $link=JRoute::_(index_cat.'&cid='.$item['cid']);
            echo '» <a href="'.$link.'">'.$catname.'</a>';
        }
        $document->setTitle( $catname );
    }
    if( isset($this->rez)) {
        $link=JRoute::_(index_cat.'&cid='.$this->rez['cid']);
        echo '» <a href="'.$link.'">'.$this->rez['cname'].'</a>';
        echo '» <span>'.$this->rez['pname'].'</span>';
        $document->setTitle( $this->rez['pname'] );
    }
    ?>
</h1>
<?php
// список подкатегорий (все)
if(isset ($this->catList)&&(sizeof($this->catList)>0)) {
    $document->setTitle( JText::_('Каталог') );
    foreach ($this->catList as $item) {
        $link=JRoute::_(index_cat.'&cid='.$item['cid']);
        if( $item['pid'] == 'parent') {
            echo '<div style="width: 100%; background: #eee;padding: 5px;font-weight: bold;margin-bottom: 5px;">'.$item['cname'].'</div>';
        }else {
            echo '&nbsp;&nbsp;»&nbsp;<a href="'.$link.'">'.$item['cname'].'</a><br/>';
        }
    }
}
// список товаров
if(isset ($this->gList)&&(sizeof($this->gList)>0)) { ?>
<table style="width: 100%;" border="0" cellpadding="3" cellspacing="3">
    <tr>
            <?php
            $last = $this->pagination->limitstart+$this->pagination->limit;
            for( $ii = $this->pagination->limitstart ; ($ii < $last)&&($ii < $this->pagination->total); $ii ++ ) {
                $item = $this->gList[$ii];
                $link = JRoute::_(index_cat.'&gid='.$item['product_id']);
                $imgsrc = '/components/com_fostar_1qc/image.php?img='.$item['preview'];
                ?>
        <td style="width: 33%;text-align: center;padding: 5px;background: #eee;" valign="top">
            <center>
                <div style="padding:3px; border: 1px solid #ccc; background: #fff;width: 110px;height: 110px; text-align: center;">
                    <a href="<?php echo $link; ?>"><img src="<?php echo $imgsrc; ?>" alt="<?php echo $item['product_name']; ?>" /></a><br />
                </div>
                <a href="<?php echo $link; ?>"><?php echo $item['product_name']; ?></a><br />
                        <?php if($item['special_price']!="none") { ?>
                <span style="background:#ccc;font-weight: bold;"><s><?php echo $item['special_price']; ?></s></span><br />
                <span style="font-weight: bold;color:#f00;"><?php echo $item['price']; ?></span><br />
                            <?php }else { ?>
                <span style="background:#ccc;font-weight: bold;"><?php echo $item['price']; ?></span><br />
                            <?php } ?>
            </center>
        </td>

                <?php if($item['br']=='yes') {
                    echo '</tr><tr>';
                }
            }?>
        <td></td>
    </tr>
    <tr>
        <td colspan="3" valign="top" align="center">
                <?php echo $this->pagination->getPagesLinks(); ?>
            <br /><br />
        </td>
    </tr>
    <tr>
        <td colspan="3" valign="top" align="center">
                <?php echo $this->pagination->getPagesCounter(); ?>
            <br /><br />
        </td>
    </tr>
</table>;
    <?php
}
// карточка товара
if(isset($this->rez)) { ?>
<p><br /></p>
<table width="100%; background: #eee; padding: 10px;" cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td style="width: 60%; text-align: center;" valign="top">
                <?php if($this->rez['photo']!="") {
                    $imgsrc = '/components/com_fostar_1qc/image.php?img='.$this->rez['photo'];
                    $preimgsrc = '/components/com_fostar_1qc/image.php?img='.$this->rez['preview'];
                    ?>
            <a href="<?php echo $imgsrc; ?>" rel="lightbox"><img src="<?php echo $preimgsrc; ?>" alt="<?php echo $this->rez['pname']; ?>" style="padding:3px; border: 1px solid #ccc; background: #eaeaea;" /></a><br />
            <a href="<?php echo $imgsrc; ?>" rel="lightbox">Увеличить фото</a><br /><br />
                    <?php }else { ?>
            <img src="" alt="no_photo.gif" /><br />
                    <?php }
                if ( isset($this->photoes)) { ?>
            <br /><br /><b>Дополнительные фотографии</b>
            <center>
                <div style="max-width: 500px"
                                <?php foreach ($this->photoes as $item) {?>

                        <div style="float: left; width: 80px; height: 80px; text-align: center; margin: 5px; padding:3px; border: 1px solid #ccc; background: #fff;" valign="middle">
                            <a href="<?php echo $item['furl']; ?>" rel="lightbox"><img src="<?php echo $item['furl']; ?>" alt="<?php echo $item['ftitle']; ?>"  width="<?php echo $item['ftwidth']; ?>" height="<?php echo $item['ftheight']; ?>" /></a>
                        </div>
                                    <?php } /*end foreach*/ ?>
                </div>
            </center>
            <br />
                    <?php } /*end if*/ ?>
        </td>
        <td style="width: 40%; text-align: left;" valign="top">
            <p><b>Артикул этого товара:&nbsp</b><?php echo $this->rez['articul']; ?><br /><br /></p>
                <?php
                if($this->rez['sprice']!="none") {
                    ?>
            <span style="background:#ccc;font-weight: bold;font-size: 16px;"><s>Цена: <?php echo $this->rez['sprice']; ?> руб.</s></span><br />
            <span style="font-weight: bold;color:#f00;font-size: 16px;">Новая цена: <?php echo $this->rez['price']; ?> руб.</span><br />
                    <?php }else { ?>
            <span style="background:#ccc;font-weight: bold;font-size: 16px;">Цена: <?php echo $this->rez['price']; ?> руб.</span><br />
                    <?php } /*end if*/
                if(isset($this->prodAttr)) {
                    $k=0;
                    foreach ($this->prodAttr as $attr => $attrValue) {
                        ?>
            <br />
            <span style="font-weight: bold;font-size: 16px;"><?php echo $attr;?></span>
            <select class="productAttr" id="productAttr<?php echo $k;?>" name="<?php echo $attr;?>">
                            <?php foreach ($attrValue as $prodAt => $prodAtValue) {
                                ?>
                <option value="<?php echo $prodAt;?>"><?php echo $prodAtValue;?></option>
                                <?php }
                            ?>
            </select>
                        <?php
                        $k++;
                    }
                }
                ?>
            <br /><br />
            <a href="javascript:addToCart('<?php echo $this->rez['cartString']; ?>');" style="font-size: 14pt;">Добавить в корзину</a>
            <div class ="cartBox" id="cartBoxProcess" style="display:none; margin-top: 20px;">
                <table>
                    <tbody>
                        <tr>
                            <td>
                                <img src="/components/com_fostar_1qc/css/loading.gif" alt="Передача данных..." />
                            </td>
                            <td>
                                <span>Пожалуйста, подождите, идет передача данных...</span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class ="cartBox" id="cartBoxResult" style="display:none; margin-top: 20px;">
                <table>
                    <tbody>
                        <tr>
                            <td>
                                <span id="cartBox"></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <br /><br />


        </td>
    </tr>
</table>
    <?php if ($this->rez['SEASON_ACTION_ENABLED']) { ?>
<div style="width: 100%;background: #eee;padding: 5px;font-weight: bold;margin-bottom: 5px;font-size: 15px;">
    <a href="<?php echo index_cat.'&pid='.$this->rez['SEASON_ACTION_CONTENT']; ?>" target="_blank"><?php echo $this->rez['SEASON_ACTION_LINK_TEXT']; ?></a> »»»
</div>
        <?php } ?>
<div style="width: 100%;padding: 5px;padding-left: 0;font-weight: bold;font-size: 16px;">
        <?php echo $this->rez['pname']; ?>
</div>
    <?php echo $this->rez['descr']; ?>
<br /><br />
<a href="<?php echo index_cat.'&cid='.$this->rez['cid']; ?>">Вернуться в каталог <?php echo $this->rez['cname']; ?></a>
<br />
<br />
    <?php
    if(isset($this->relations)) { ?>
<div style="width: 100%;background: #eee;padding: 5px;font-weight: bold;margin-bottom: 5px;font-size: 15px;">
			Похожие товары
</div>
<table style="width: 100%;" border="0" cellpadding="3" cellspacing="3">
    <tr>
                <?php foreach ($this->relations as $item) {
                    $link = JRoute::_(index_cat.'&gid='.$item['pid']);
                    $imgsrc = '/components/com_fostar_1qc/image.php?img='.$item['preview'];
                    ?>
        <td style="width: 20%;text-align: center;padding: 5px;background: #eee;" valign="middle">
            <center>
                <div style="padding:3px; border: 1px solid #ccc; background: #fff;width: 80px;height: 80px; text-align: center;">
                    <a href="<?php echo $link; ?>"><img src="<?php echo $imgsrc; ?>" alt="<?php echo $item['pname']; ?>" /></a><br />
                </div>
            </center>
        </td>
                    <?php if( $item['br']=="yes") {?>
    </tr>
                    <?php
                }
            }?>
</table>
<div style="width: 100%;background: #eee;padding: 5px;font-weight: bold;margin-bottom: 5px;font-size: 15px;">
			Ссылки на похожие товары
</div>
        <?php foreach ($this->relations as $item) {
            $link = JRoute::_(index_cat.'&gid='.$item['pid']);
            echo '<a href="'.$link.'">'.$item['pname'].'</a><br />';
        }
    } /*end if isset relations*/
} /*end if isset rez*/?>