<?php
/**fostar_1qc Модель для "fostar_1qc" Компонета
 */
defined ('_JEXEC') or die();
define( 'JPATH_COMFOP_CACHE', JPATH_CACHE.DS.'com_fostar_1qc'.DS );
define( 'CACHE_EXT', '.php' );
jimport( 'joomla.application.component.model' );
jimport( 'joomla.filesystem.file' );

class fostar_1qcModelfostar_1qc extends JModel {

    var $_result = null;
    var $serverURL = 'http://api2.fostar.ru/interface.php';
    /**************************************************************************/
    function __construct() {
        parent::__construct();
    }
    /**************************************************************************/
    /* формирование запроса и получение данных с сервера */
    /**************************************************************************/
    function getResult($opt, $force_skip_cache = false) {
        $cashExist = $this->checkCache($opt);
        if($cashExist == true && !$force_skip_cache ) {
            if(JDEBUG)
                echo '<br/>кэш есть';
            $this->_result = $this->getCache($opt);
        }
        else {
            if(JDEBUG)
                echo '<br/><br/>c сервера';
            if($this->test()) {
                $this->_result = $this->fostar_get_content( $this->serverURL.'?'.$opt );
                if(isset ($this->_result)&&($this->_result!='') ) {
                    $this->writeCache($opt, $this->_result);
                }
            }
        }
        if( $this->_result=='' ) {
            $this->_result = 'false';
        }
        return $this->_result;
    }
    /**************************************************************************/
    /* функция отправки запроса на сервер  */
    /**************************************************************************/
    function fostar_get_content($url) {
        $base_root = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ? 'https' : 'http';
        $base_url = $base_root .= '://'. preg_replace('/[^a-z0-9-:._]/i', '', $_SERVER['HTTP_HOST']);
        $context=array('http' => array ('header'=> 'Refferer: '.$base_url, ),);
        $xcontext = stream_context_create($context);
        if (ini_get('allow_url_fopen')==1) {
            $string = file_get_contents($url,FALSE,$xcontext);
        } else {
            $ch = curl_init();
            curl_setopt ($ch, CURLOPT_URL, $url);
            curl_setopt ($ch, CURLOPT_HEADER, 0);
            ob_start();
            curl_exec ($ch);
            curl_close ($ch);
            $string = ob_get_contents();
            ob_end_clean();
        }
        $string = iconv("windows-1251","utf-8", $string);
        return $string;
    }
    /**************************************************************************/
    function PrintInfo($pid) {
        $title = "Информация";
        if(isset($pid)) {
            if(is_numeric($pid)) {
                $pid = $this->checkGet($pid);
                $res = $this->getResult('act=content&PID='.$pid);
                if($res != 'false') {
                    $res = $this->makeMainArrayFromResult($res);
                    $res[2] = JRoute::_(str_replace("/components/com_fostar_1qc/image.php?img=", "http://fostar.ru/images/", $res[2]));
                    echo '<h1>'.$res[1].'</h1>';
                    echo '<br/>'.$res[2];
                }
                else {
                    echo '<h1>Ошибка 404</h1>';
                    echo 'По адресу <a href="'.$_SERVER['REQUEST_URI'].'">http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'].'</a> ничего нет.<br />';
                    echo '<a href="javascript:history.back();">Вернуться назад</a>';
                }
            }
        }
    }
    /**************************************************************************/
    function makeArrayFromResult($res) {
        $rez = explode("\r\n", $res);
        Return $rez;
    }
    /**************************************************************************/
    function makeMainArrayFromResult($res) {
        $rez = explode(":::", $res);
        Return $rez;
    }
    /**************************************************************************/
    function checkCache($cacheFile) {
        Return file_exists( JPATH_COMFOP_CACHE.md5($cacheFile . CACHE_EXT) );
    }
    /**************************************************************************/
    function getCache($cacheFile) {
        return JFile::read(JPATH_COMFOP_CACHE.md5($cacheFile . CACHE_EXT) );
    }
    /**************************************************************************/
    function writeCache($cacheFile, $data) {
        if(JDEBUG)
            echo '<br/> хотим писать в'.JPATH_COMFOP_CACHE.md5($cacheFile.CACHE_EXT);
        JFile::write(JPATH_COMFOP_CACHE.md5($cacheFile . CACHE_EXT), $data);
    }
    /**************************************************************************/
    function clearCache() {
        if( JFolder::delete(JPATH_COMFOP_CACHE) ) {
            echo '1';
        }else {
            echo '0';
        }
    }
    /**************************************************************************/
    function getShopItemid() {
        if( empty( $_REQUEST['shopItemid'] )) {
            $db = JFactory::getDBO();
            $_REQUEST['shopItemid']=$db->GetOne( "SELECT id FROM #__menu WHERE link='index.php?option=com_fostar_1qc&view=catalogue' AND published=1");
        }
        return intval($_REQUEST['shopItemid']);
    }
    /**************************************************************************/
    /* проверяет, существует ли папка для записи кэша и доступна ли она для записи */
    /**************************************************************************/
    function test() {
        if(!JFolder::exists(JPATH_COMFOP_CACHE)) {
            if(!JFolder::create(JPATH_COMFOP_CACHE)) {
                echo('<br/>Ошибка при создании папки кэша. Отказано в доступе');
                return FALSE;
            }
        }
        if( is_writable(JPATH_COMFOP_CACHE)){
            return TRUE;
        } else{
            echo('<br/>Ошибка при попытке записи кэша. Отказано в доступе. Пожалуйста, установите права на запись в папку<br/>'.JPATH_COMFOP_CACHE);
            return FALSE;
        }
    }
    /**************************************************************************/
    function checkGet($str,$col = 255) {
        $str = trim(htmlspecialchars(eregi_replace("['\"\/%?#`]","",$str)));
        $str = substr($str,0,$col);
        Return $str;
    }
}